// Включаемый файл для потокового ввода/вывода
//#include <stdio.h>
//#include <stdlib.h>
#include <iostream.h>

void main(void);

// Класс ClassMen включает элемент данных и два метода для 
// обращения к нему
class ClassMen
{
public:
	void SetWeight(int newWeight);
	int  GetWeight() const;
private:
	int weight;
};	

// Метод GetWeight позволяет определить значение элемента 
// weight. Этот метод объявлен как const и не может 
// модифицировать объекты класса ClassMen
int  ClassMen::GetWeight() const
{ 
	return weight; 
}

// Метод SetWeight позволяет изменить значение weight.
// Такой метод нельзя объявлять как const
void ClassMen::SetWeight(int newWeight) 
{ 
	weight = newWeight; 
}

// Главная функция программы
void main(void)
{
	// Создаем объект класса ClassMen
	ClassMen	alex;

	// Устанавливаем значение элемента weight объекта alex
	alex.SetWeight(75);

	// Отображаем значение элемента weight объекта alex
	cout << alex.GetWeight() << "\n";
}
